## apt 0.7.20.2maemo8+0m5

=== debian/changelog ===
apt (0.7.20.2maemo8+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Tue, 22 Sep 2009 13:17:32 +0300

apt (0.7.20.2maemo8) unstable; urgency=low

  * Fixed: NB#138150 Unable to install "bounce" game in 3G Sonera network.

 -- Mario Sanchez Prada <msanchez@igalia.com>  Fri, 11 Sep 2009 12:06:40 +0100

apt (0.7.20.2maemo7) unstable; urgency=low

  * Fixed: NB#129298 SSU fails from w29-11 or w30-3 to w30-5 - Unable to parse vanilla package

 -- Victor M. Jaquez L. <vjaquez@maemo.org>  Thu, 23 Jul 2009 16:58:00 +0100

apt (0.7.20.2maemo6) unstable; urgency=low

  * Typo in maemo.conf

 -- Victor M. Jaquez L. <vjaquez@maemo.org>  Thu, 18 Jun 2009 19:22:00 +0100

apt (0.7.20.2maemo5) unstable; urgency=medium

  * Fixed: NB#120615 SSU failed from w23-7 to w23-10 - Unable to parse package

 -- Victor M. Jaquez L. <vjaquez@maemo.org>  Thu, 04 Jun 2009 21:10:00 +0100

apt (0.7.20.2maemo4) unstable; urgency=medium

  * Fixed: NB#117878 apt-transport-https exhibits defect when run on a device

 -- Victor M. Jaquez L. <vjaquez@maemo.org>  Thu, 28 May 2009 18:00:00 +0100

apt (0.7.20.2maemo3) unstable; urgency=medium

  * Fixed: NB#113286 apt-get signature verification issue
  * Fixed: NB#114117 apt: recommended packages are installed by default

 -- Victor M. Jaquez L. <vjaquez@maemo.org>  Thu, 15 May 2009 21:44:05 +0100

apt (0.7.20.2maemo2) unstable; urgency=medium

  * Fixed: NB#112097 apt: issue with log writing
  * Fixed: NB#103998 Catalogue list behaving strangely and not giving catalogue list partially refreshed info note 

 -- Victor M. Jaquez L. <vjaquez@maemo.org>  Thu, 26 Mar 2009 19:17:05 +0100

apt (0.7.20.2maemo1) unstable; urgency=medium

  * Applied maemostrip.patch
  * Applied postrip.patch
  * Applied gpgvinfo.patch
  * Applied trusthook.patch
  * Applied queuemode.patch
  * netrc file handling
  * Get rid of the documentation generation/installation
  * Get rid of the lintian mechanism

 -- Victor M. Jaquez L. <vjaquez@maemo.org>  Thu, 18 Mar 2009 17:44:05 +0100

apt (0.7.20.2) unstable; urgency=medium

  [ Eugene V. Lyubimkin ]
  * Urgency set to medium due to RC bug fix.
  * doc/apt.ent, apt-get.8.xml:
    - Fix invalid XML entities. (Closes: #514402)

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sat, 07 Feb 2009 16:48:21 +0200

apt (0.7.20.1) unstable; urgency=low

  [ Michael Vogt ]
  * apt-pkg/pkgcachegen.cc:
    - fix apt-cache search for localized description 
      (closes: #512110)
  
  [ Christian Perrier ]
  * Translations:
    - fr.po: fix spelling error to "défectueux". Thanks to Thomas Péteul.

 -- Michael Vogt <mvo@debian.org>  Tue, 20 Jan 2009 09:35:05 +0100

apt (0.7.20) unstable; urgency=low

  [ Eugene V. Lyubimkin ]
  * debian/changelog:
    - Fixed place of 'merged install-recommends and install-task branches'
      from 0.6.46.1 to 0.7.0. (Closes: #439866)
  * buildlib/config.{sub,guess}:
    - Renewed. This fixes lintian errors.
  * doc/apt.conf.5.xml, debian/apt-transport-https:
    - Documented briefly 'APT::https' group of options. (Closes: #507398)
    - Applied patch from Daniel Burrows to document 'Debug' group of options.
      (Closes: #457265)
    - Mentioned 'APT::Periodic' and 'APT::Archives' groups of options.
      (Closes: #438559)
    - Mentioned '/* ... */' comments. (Closes: #507601)
  * doc/examples/sources.list:
    - Removed obsolete commented non-us deb-src entry, replaced it with
      'deb-src security.debian.org' one. (Closes: #411298)
  * apt-pkg/contrib/mmap.cc:
    - Added instruction how to work around MMap error in MMap error message.
      (Closes: #385674, 436028)
  * COPYING:
    - Actualized. Removed obsolete Qt section, added GPLv2 clause.
      (Closes: #440049, #509337)

  [ Michael Vogt ]
  * add option to "apt-get build-dep" to mark the needed 
    build-dep packages as automatic installed. 
    This is controlled via the value of
    APT::Get::Build-Dep-Automatic and is set "false" by default.  
    Thanks to Aaron Haviland, closes: #448743
  * apt-inst/contrib/arfile.cc:
    - support members ending with '/' as well (thanks to Michal Cihr,
      closes: #500988)

  [ Christian Perrier ]
  * Translations:
    - Finnish updated. Closes: #508449 
    - Galician updated. Closes: #509151
    - Catalan updated. Closes: #509375
    - Vietnamese updated. Closes: #509422
    - Traditional Chinese added. Closes: #510664
    - French corrected (remove awful use of first person) 

 -- Michael Vogt <mvo@debian.org>  Mon, 05 Jan 2009 08:59:20 +0100

apt (0.7.19) unstable; urgency=low

  [ Eugene V. Lyubimkin ]
  * doc/sources.list.5.xml:
    - Mentioned allowed characters in file names in /etc/apt/sources.list.d.
      Thanks to Matthias Urlichs. (Closes: #426913)
  * doc/apt-get.8.xml:
    - Explicitly say that 'dist-upgrade' command may remove packages.
    - Included '-v'/'--version' as a command to synopsis.
  * cmdline/apt-cache.cc:
    - Advanced built-in help. Patch by Andre Felipe Machado. (Closes: #286061)
    - Fixed typo 'GraphVis' -> 'GraphViz'. (Closes: #349038)
    - Removed asking to file a release-critical bug against a package if there
      is a request to install only one package and it is not installable.
      (Closes: #419521)

  [ Michael Vogt ]
    - fix SIGHUP handling (closes: #463030)

  [ Christian Perrier ]
  * Translations:
    - French updated
    - Bulgarian updated. Closes: #505476
    - Slovak updated. Closes: #505483
    - Swedish updated. Closes: #505491
    - Japanese updated. Closes: #505495
    - Korean updated. Closes: #505506
    - Catalan updated. Closes: #505513
    - British English updated. Closes: #505539
    - Italian updated. Closes: #505518, #505683
    - Polish updated. Closes: #505569
    - German updated. Closes: #505614
    - Spanish updated. Closes: #505757
    - Romanian updated. Closes: #505762
    - Simplified Chinese updated. Closes: #505727


=== debian/control ===
Source: apt
Section: admin
Priority: important
Maintainer: APT Development Team <deity@lists.debian.org>
Uploaders: Michael Vogt <mvo@debian.org>, Otavio Salvador <otavio@debian.org>,
 Christian Perrier <bubulle@debian.org>, Daniel Burrows <dburrows@debian.org>,
 Luca Bruno <lethalman88@gmail.com>, Eugene V. Lyubimkin <jackyf.devel@gmail.com>
Standards-Version: 3.8.0
Build-Depends: debhelper (>= 5.0), gettext (>= 0.12), libcurl3-dev
XS-Vcs-Bzr: http://bzr.debian.org/apt/debian-sid/

Package: apt
Architecture: any
Depends: ${shlibs:Depends}
Priority: important
Replaces: libapt-pkg-doc (<< 0.3.7), libapt-pkg-dev (<< 0.3.7)
Provides: ${libapt-pkg:provides}
Suggests: aptitude | synaptic | gnome-apt | wajig, dpkg-dev, apt-doc, bzip2, lzma, python-apt
Section: admin
Description: Advanced front-end for dpkg
 This is Debian's next generation front-end for the dpkg package manager.
 It provides the apt-get utility and APT dselect method that provides a 
 simpler, safer way to install and upgrade packages.
 .
 APT features complete installation ordering, multiple source capability
 and several other unique features, see the Users Guide in apt-doc.

Package: libapt-pkg-dev
Architecture: any
Priority: optional
Depends: apt (= ${binary:Version}), apt-utils (= ${binary:Version}), ${libapt-pkg:provides}, ${libapt-inst:provides}
Section: libdevel
Description: Development files for APT's libapt-pkg and libapt-inst
 This package contains the header files and libraries for
 developing with APT's libapt-pkg Debian package manipulation
 library and the libapt-inst deb/tar/ar library.

Package: apt-utils
Architecture: any
Depends: ${shlibs:Depends}
Priority: important
Provides: ${libapt-inst:provides}
Replaces: apt (<< 0.5.9)
Section: admin
Description: APT utility programs
 This package contains some APT utility programs such as apt-ftparchive,
 apt-sortpkgs and apt-extracttemplates.
 .
 apt-extracttemplates is used by debconf to prompt for configuration 
 questions before installation. apt-ftparchive is used to create Package
 and other index files. apt-sortpkgs is a Package/Source file normalizer.

Package: apt-transport-https
Architecture: any
Depends: ${shlibs:Depends}
Priority: optional
Section: admin
Description: APT https transport
 This package contains a APT https transport. It makes it possible to
 use 'deb https://foo distro main' lines in the sources.list.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.
# $Id: rules,v 1.68 2004/05/30 18:21:43 mdz Exp $

# LD_LIBRARY_PATH=pwd/debian/apt/usr/lib dh_shlibdeps -papt
# dpkg: /home/jgg/work/apt2/debian/apt/usr/lib/libapt-pkg.so.2.9 not found.

# For the deb builder, you can run 'debian/rules cvs-build', which does all
# steps nescessary to produce a proper source tarball with the CVS/ removed.
# It builds in debian/cvs-build/apt-<VER>/, and places files in
# debian/cvs-build/.  Optionally, you can run 'debian/rules cvs-mkul' to
# create ../upload-<VER>, with all the files needed to be uploaded placed
# in it.

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# FOR AUTOCONF 2.52 AND NEWER ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# See below
-include build/environment.mak

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  export CXXFLAGS = -O0 -g -Wall
else
  export CXXFLAGS = -O2 -g -Wall
endif

# Default rule
build:

PKG=apt
DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)
APT_DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p' | sed -e 's/\+.*$$//')
APT_CONFVER=$(shell sed -n -e 's/^AC_DEFINE_UNQUOTED(VERSION,"\(.*\)")/\1/p' configure.in)
APT_CVSTAG=$(shell echo "$(APT_DEBVER)" | sed -e 's/^/v/' -e 's/\./_/g')

# Determine the build directory to use
BASE=.
ifdef BUILD
BUILD_POSSIBLE := $(BUILD) $(BASE)/$(BUILD)
else
BUILD_POSSIBLE := $(BASE) $(BASE)/build-$(shell uname -m) $(BASE)/build
endif
BUILDX:= $(foreach i,$(BUILD_POSSIBLE),$(wildcard $(i)/environment.mak*))
BUILDX:= $(patsubst %/,%,$(firstword $(dir $(BUILDX))))
override BLD := $(BUILDX)

ifeq ($(words $(BLD)),0)
override BLD := ./build
endif

# Rebuild configure.in to have the correct version from the change log
ifneq ($(APT_DEBVER),$(APT_CONFVER))
ifneq ($(APT_DEBVER),)
.PHONY: configure.in
configure.in:
	sed -e 's/$(APT_CONFVER)/$(APT_DEBVER)/' $@ > $@.$$$$ && mv $@.$$$$ $@
endif
else
configure.in:
endif

# APT Programs in apt-utils
APT_UTILS=ftparchive sortpkgs extracttemplates

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Find the libapt-pkg major version for use in other control files
export LIBAPTPKG_MAJOR:=$(shell egrep '^MAJOR=' apt-pkg/makefile |cut -d '=' -f 2)
export LIBAPTINST_MAJOR:=$(shell egrep '^MAJOR=' apt-inst/makefile |cut -d '=' -f 2)

# Determine which package we should provide in the control files
LIBAPTPKG_PROVIDE=libapt-pkg$(GLIBC_VER)$(LIBSTDCPP_VER)-$(LIBAPTPKG_MAJOR)
LIBAPTINST_PROVIDE=libapt-inst$(GLIBC_VER)$(LIBSTDCPP_VER)-$(LIBAPTINST_MAJOR)

debian/shlibs.local: apt-pkg/makefile
	# We have 3 shlibs.local files.. One for 'apt', one for 'apt-utils' and
	# one for the rest of the packages. This ensures that each package gets
	# the right overrides.. 
	rm -rf $@ $@.apt $@.apt-utils
	echo "libapt-pkg$(GLIBC_VER)$(LIBSTDCPP_VER) $(LIBAPTPKG_MAJOR)" > $@.apt

	echo "libapt-pkg$(GLIBC_VER)$(LIBSTDCPP_VER) $(LIBAPTPKG_MAJOR) $(LIBAPTPKG_PROVIDE)" > $@.apt-utils
	echo "libapt-inst$(GLIBC_VER)$(LIBSTDCPP_VER) $(LIBAPTINST_MAJOR)" >> $@.apt-utils

	echo "libapt-pkg$(GLIBC_VER)$(LIBSTDCPP_VER) $(LIBAPTPKG_MAJOR) $(LIBAPTPKG_PROVIDE)" > $@
	echo "libapt-inst$(GLIBC_VER)$(LIBSTDCPP_VER) $(LIBAPTINST_MAJOR) $(LIBAPTINST_PROVIDE)" >> $@

build: build/build-stamp	
build-doc: build/build-doc-stamp	

# Note that this is unconditionally done first as part of loading environment.mak
# The true is needed to force make to reload environment.mak after running
# configure-stamp. Otherwise we can get stale or invalid, or missing config data.
build/environment.mak: build/configure-stamp
	@true

configure: configure.in
build/configure-stamp: configure
	dh_testdir
	-mkdir build
	cp COPYING debian/copyright
	cd build && CXXFLAGS="$(confcxxflags)" ../configure $(confflags)
	touch $@

build/build-stamp: build/configure-stamp
	# Add here commands to compile the package.
	$(MAKE) binary
	touch $@

build/build-doc-stamp: build/configure-stamp
	# Add here commands to compile the package.
	$(MAKE) doc
	touch $@

clean:
	dh_testdir
#	dh_testroot
	[ -f Makefile ] && $(MAKE) clean
	[ -f Makefile ] && $(MAKE) distclean

	rm -rf build

	# Add here commands to clean up after the build process.
	dh_clean debian/copyright debian/shlibs.local debian/shlibs.local.apt debian/shlibs.local.apt-utils

binary-indep: # apt-doc libapt-pkg-doc
# Build architecture-independent files here.
libapt-pkg-doc: build-doc debian/shlibs.local
	dh_testdir -p$@
	dh_testroot -p$@
	dh_clean -p$@ -k
	dh_installdirs -p$@
#
# libapt-pkg-doc install
#	
	dh_installdocs -p$@ $(BLD)/docs/cache* $(BLD)/docs/design* $(BLD)/docs/dpkg-tech* \
                            $(BLD)/docs/files* $(BLD)/docs/method* \
			    doc/libapt-pkg2_to_3.txt doc/style.txt
	dh_installexamples -p$@
#	dh_installmenu -p$@
#	dh_installinit -p$@
#	dh_installcron -p$@
#	dh_installman -p$@

#	dh_undocumented -p$@
	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
#	dh_suidregister -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@ -u -Vlibapt-pkg:provides=$(LIBAPTPKG_PROVIDE)
	dh_md5sums -p$@
	dh_builddeb -p$@

apt-doc: build-doc
	dh_testdir -p$@
	dh_testroot -p$@
	dh_clean -p$@ -k
#
# apt-doc install
#
	# Copy the guides
	dh_installdocs -p$@ $(BLD)/docs/guide*.text $(BLD)/docs/guide*.html \
	               $(BLD)/docs/offline*.text $(BLD)/docs/offline*.html
	dh_installchangelogs -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@



# Build architecture-dependent files here.

binary-arch: apt libapt-pkg-dev apt-utils apt-transport-https
apt: build debian/shlibs.local
	dh_testdir -p$@
	dh_testroot -p$@
	dh_clean -p$@ -k
	dh_installdirs -p$@ /usr/share/bug/$@ /usr/share/$@
#
# apt install
#
	cp $(BLD)/bin/apt-* debian/$@/usr/bin/

	# Remove the bits that are in apt-utils
	rm -f $(addprefix debian/$@/usr/bin/apt-,$(APT_UTILS))

	# install the shared libs
	find $(BLD)/bin/ -type f -name "libapt-pkg*.so.*" -exec cp -a "{}" debian/$@/usr/lib/ \;
	find $(BLD)/bin/ -type l -name "libapt-pkg*.so.*" -exec cp -a "{}" debian/$@/usr/lib/ \;

	cp $(BLD)/bin/methods/* debian/$@/usr/lib/apt/methods/
	# https has its own package
	rm -f debian/$@/usr/lib/apt/methods/https

	cp $(BLD)/scripts/dselect/* debian/$@/usr/lib/dpkg/methods/apt/
	cp -r $(BLD)/locale debian/$@/usr/share/ || true

	cp debian/bugscript debian/$@/usr/share/bug/apt/script
#	cp debian/apt.logrotate debian/$@/etc/logrotate.d/apt

	# cp share/debian-archive.gpg debian/$@/usr/share/$@
	cp debian/apt.conf.autoremove debian/$@/etc/apt/apt.conf.d/01autoremove
	cp debian/apt.conf.maemo debian/$@/etc/apt/apt.conf.d/00maemo
#	head -n 500 ChangeLog > debian/ChangeLog

	# copy lintian override
#	cp share/lintian-overrides debian/$@/usr/share/lintian/overrides/apt

	# make rosetta happy and remove pot files in po/ (but leave stuff
	# in po/domains/* untouched) and cp *.po into each domain dir
	rm -f build/po/*.pot
	rm -f po/*.pot

#	dh_installexamples -p$@ $(BLD)/docs/examples/*
#	dh_installman -p$@ 
#	dh_installcron -p$@
	dh_installdocs -p$@
	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_makeshlibs -p$@ -m$(LIBAPTPKG_MAJOR) -V '$(LIBAPTPKG_PROVIDE)'
	dh_installdeb -p$@
	dh_shlibdeps -p$@ -l`pwd`/debian/apt/usr/lib:`pwd`/debian/$@/usr/lib -- -Ldebian/shlibs.local.apt
	dh_gencontrol -p$@ -u -Vlibapt-pkg:provides=$(LIBAPTPKG_PROVIDE)
	dh_md5sums -p$@
	dh_builddeb -p$@

libapt-pkg-dev: build debian/shlibs.local
	dh_testdir -p$@
	dh_testroot -p$@
	dh_clean -p$@ -k
	dh_installdirs -p$@
#
# libapt-pkg-dev install
#

## apt 0.7.20.2maemo11+0m5

=== debian/changelog ===
apt (0.7.20.2maemo11+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Wed, 02 Dec 2009 17:56:35 +0200

apt (0.7.20.2maemo11) unstable; urgency=low

  * Fixes: NB#148721 - apt breaks the package installations

 -- Mario Sanchez Prada <msanchez@igalia.com>  Wed, 02 Dec 2009 16:26:06 +0100

apt (0.7.20.2maemo10) unstable; urgency=low

  * Release 0.7.20.2maemo10

 -- Víctor Manuel Jáquez Leal <vjaquez@igalia.com>  Sat, 28 Nov 2009 12:25:43 +0100

apt (0.7.20.2maemo9) unstable; urgency=low

  * Fixes: NB#148721 - apt breaks the package installations

 -- David Kedves <kedazo@gmail.com>  Fri, 27 Nov 2009 16:03:16 +0100

## apt 0.7.20.2maemo11.1%2b0m5

=== debian/changelog ===
apt (0.7.20.2maemo11.1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix .1+0m5 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Wed, 02 Dec 2009 17:56:39 +0200

## apt 0.7.20.2maemo13+0m5

=== Makefile ===
# -*- make -*-

# This is the top level make file for APT, it recurses to each lower
# level make file and runs it with the proper target
ifndef NOISY
.SILENT:
endif

.PHONY: default
default: startup all

.PHONY: headers library clean veryclean all binary program doc
all headers library clean veryclean binary program doc dirs:
	$(MAKE) -C apt-pkg $@
	$(MAKE) -C apt-inst $@
	$(MAKE) -C methods $@
	$(MAKE) -C cmdline $@
	$(MAKE) -C ftparchive $@
	$(MAKE) -C dselect $@
#	$(MAKE) -C doc $@
#	$(MAKE) -C po $@

# Some very common aliases
.PHONY: maintainer-clean dist-clean distclean pristine sanity 
maintainer-clean dist-clean distclean pristine sanity: veryclean

# The startup target builds the necessary configure scripts. It should
# be used after a CVS checkout.
CONVERTED=environment.mak include/config.h include/apti18n.h build/doc/Doxyfile makefile
include buildlib/configure.mak
$(BUILDDIR)/include/config.h: buildlib/config.h.in
$(BUILDDIR)/include/apti18n.h: buildlib/apti18n.h.in
$(BUILDDIR)/environment.mak: buildlib/environment.mak.in
$(BUILDDIR)/makefile: buildlib/makefile.in

=== debian/changelog ===
apt (0.7.20.2maemo13+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Wed, 13 Jan 2010 16:40:48 +0200

apt (0.7.20.2maemo13) unstable; urgency=low

  * Fixes: NB#146889 - apt-get segfaults when system has ran out of ptys
  * Fixes: NB#153047 - Disable installation of user/hidden from apt-get
  * Fixes: NB#153050 - Remove doc files from apt deb

 -- Mario Sanchez Prada <msanchez@igalia.com>  Wed, 13 Jan 2010 14:03:54 +0100

apt (0.7.20.2maemo12) unstable; urgency=low

  * Fixes: NB#149147 - Remove doc files from apt deb

 -- Mario Sanchez Prada <msanchez@igalia.com>  Wed, 02 Dec 2009 16:27:13 +0100

=== debian/control ===
--- 
+++ 
@@ -25,6 +25,14 @@
  APT features complete installation ordering, multiple source capability
  and several other unique features, see the Users Guide in apt-doc.
 
+Package: apt-doc
+Architecture: all
+Priority: optional
+Section: doc
+Description: Documentation for APT
+ This package contains the user guide and offline guide, for APT, an
+ Advanced Package Tool.
+
 Package: libapt-pkg-dev
 Architecture: any
 Priority: optional
@@ -34,6 +42,14 @@
  This package contains the header files and libraries for
  developing with APT's libapt-pkg Debian package manipulation
  library and the libapt-inst deb/tar/ar library.
+
+Package: libapt-pkg-doc
+Architecture: all
+Priority: optional
+Section: doc
+Description: Documentation for APT development
+ This package contains documentation for development of the APT
+ Debian package manipulation program and its libraries.
 
 Package: apt-utils
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -133,7 +133,7 @@
 	# Add here commands to clean up after the build process.
 	dh_clean debian/copyright debian/shlibs.local debian/shlibs.local.apt debian/shlibs.local.apt-utils
 
-binary-indep: # apt-doc libapt-pkg-doc
+binary-indep: apt-doc libapt-pkg-doc
 # Build architecture-independent files here.
 libapt-pkg-doc: build-doc debian/shlibs.local
 	dh_testdir -p$@
@@ -143,9 +143,7 @@
 #
 # libapt-pkg-doc install
 #	
-	dh_installdocs -p$@ $(BLD)/docs/cache* $(BLD)/docs/design* $(BLD)/docs/dpkg-tech* \
-                            $(BLD)/docs/files* $(BLD)/docs/method* \
-			    doc/libapt-pkg2_to_3.txt doc/style.txt
+	dh_installdocs -p$@
 	dh_installexamples -p$@
 #	dh_installmenu -p$@
 #	dh_installinit -p$@
@@ -171,8 +169,7 @@
 # apt-doc install
 #
 	# Copy the guides
-	dh_installdocs -p$@ $(BLD)/docs/guide*.text $(BLD)/docs/guide*.html \
-	               $(BLD)/docs/offline*.text $(BLD)/docs/offline*.html
+	dh_installdocs -p$@
 	dh_installchangelogs -p$@
 	dh_compress -p$@
 	dh_fixperms -p$@
@@ -186,7 +183,7 @@
 # Build architecture-dependent files here.
 
 binary-arch: apt libapt-pkg-dev apt-utils apt-transport-https
-apt: build debian/shlibs.local
+apt: build build-doc debian/shlibs.local
 	dh_testdir -p$@
 	dh_testroot -p$@
 	dh_clean -p$@ -k
@@ -229,8 +226,8 @@
 #	dh_installexamples -p$@ $(BLD)/docs/examples/*
 #	dh_installman -p$@ 
 #	dh_installcron -p$@
-	dh_installdocs -p$@
-	dh_installchangelogs -p$@
+# 	dh_installdocs -p$@
+# 	dh_installchangelogs -p$@
 	dh_strip -p$@
 	dh_compress -p$@
 	dh_fixperms -p$@
@@ -249,3 +246,8 @@
 #
 # libapt-pkg-dev install
 #
+	cp -a $(BLD)/bin/libapt-pkg*.so debian/libapt-pkg-dev/usr/lib/
+	cp -a $(BLD)/bin/libapt-inst*.so debian/libapt-pkg-dev/usr/lib/
+#	ln -s libapt-pkg.so.$(LIBAPTPKG_MAJOR) debian/libapt-pkg-dev/usr/lib/libapt-pkg.so
+	cp $(BLD)/include/apt-pkg/*.h debian/libapt-pkg-dev/usr/include/apt-pkg/
+

## apt 0.7.20.2maemo13.1+0m5

=== debian/changelog ===
apt (0.7.20.2maemo13.1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix .1+0m5 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Wed, 13 Jan 2010 16:33:43 +0200

## apt 0.7.20.2maemo13.2+0cssu2

=== debian/changelog ===
apt (0.7.20.2maemo13.2+0cssu2) unstable; urgency=low

  * Avoid sending useless auth data via http and https

 -- Pali Rohár <pali.rohar@gmail.com>  Wed, 11 Jun 2014 14:30:15 +0200

apt (0.7.20.2maemo13.2+0cssu1) unstable; urgency=low

  * Disable user/hidden blocking (E: Handler silently failed)

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Wed, 07 Sep 2011 23:36:58 +0300

=== debian/rules ===
--- 
+++ 
@@ -109,7 +109,7 @@
 	dh_testdir
 	-mkdir build
 	cp COPYING debian/copyright
-	cd build && CXXFLAGS="$(confcxxflags)" ../configure $(confflags)
+	cd build && CXXFLAGS="$(confcxxflags)" ../configure --disable-block-hidden $(confflags)
 	touch $@
 
 build/build-stamp: build/configure-stamp
@@ -249,5 +249,3 @@
 	cp -a $(BLD)/bin/libapt-pkg*.so debian/libapt-pkg-dev/usr/lib/
 	cp -a $(BLD)/bin/libapt-inst*.so debian/libapt-pkg-dev/usr/lib/
 #	ln -s libapt-pkg.so.$(LIBAPTPKG_MAJOR) debian/libapt-pkg-dev/usr/lib/libapt-pkg.so
-	cp $(BLD)/include/apt-pkg/*.h debian/libapt-pkg-dev/usr/include/apt-pkg/
-

## apt 0.7.20.2ubuntu6

=== debian/changelog ===
apt (0.7.20.2ubuntu6) jaunty; urgency=low

  [ Jamie Strandboge ]
  * apt.cron.daily: catch invalid dates due to DST time changes
    in the stamp files (LP: #354793)

  [ Michael Vogt ]
  * methods/gpgv.cc:
    - properly check for expired and revoked keys (closes: #433091)
      LP: #356012

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 08 Apr 2009 22:39:50 +0200

apt (0.7.20.2ubuntu5) jaunty; urgency=low

  [ Colin Watson ]
  * cmdline/acqprogress.cc:
    - Call pkgAcquireStatus::Pulse even if quiet, so that we still get
      dlstatus messages on the status-fd (LP: #290234).
  
  [ Michael Vogt ]
  * debian/apt.cron.daily:
    - do not clutter cron mail with bogus gconftool messages 
      (LP: #223502)
    - merge fix for cache locking from debian (closes: #459344)
    - run update-apt-xapian-index (with ionice) to ensure that
      the index is up-to-date when synaptic is run (LP: #288797)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 30 Mar 2009 13:22:28 +0200

apt (0.7.20.2ubuntu4) jaunty; urgency=low

  * ftparchive/cachedb.cc:
    - when apt-ftparchive clean is used, compact the database
      at the end (thanks to cprov)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 26 Mar 2009 13:43:59 +0100

apt (0.7.20.2ubuntu3) jaunty; urgency=low

  * methods/mirror.cc:
    - when download the mirror file and the server is down,
      return a propper error message (LP: #278635)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 19 Mar 2009 15:42:15 +0100

apt (0.7.20.2ubuntu2) jaunty; urgency=low

  * apt-pkg/deb/dpkgpm.cc:
    - revert termios patch (LP: #338514)
  * cmdline/apt-get.cc
    - fix "apt-get source pkg" if there is a binary package and
      a source package of the same name but from different 
      packages (LP: #330103)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 09 Mar 2009 16:33:28 +0100

apt (0.7.20.2ubuntu1) jaunty; urgency=low

  [ Christian Perrier ]
  * Translations:
    - bg.po. Closes: #513211
    - zh_TW.po. Closes: #513311
    - nb.po. Closes: #513843
  
  [ Michael Vogt ]
  * merged from the debian-sid branch
  * [ABI break] merge support for http redirects, thanks to
    Jeff Licquia and Anthony Towns
  * [ABI break] use int for the package IDs (thanks to Steve Cotton)
  * apt-pkg/contrib/strutl.cc:
    - fix TimeToStr i18n (LP: #289807)
  * debian/apt.conf.autoremove:
    - readd "linux-image" (and friends) to the auto-remove
     blacklist
  * fix some i18n issues (thanks to  Gabor Kelemen)
    LP: #263089
  * apt-pkg/deb/dpkgpm.cc:
    - filter "ENOMEM" errors when creating apport reports 
  * cmdline/apt-get.cc:
    - fix "apt-get source pkg=ver" if binary name != source name
      (LP: #202219)
  * apt-pkg/indexrecords.cc:
    - fix some i18n issues
  * apt-pkg/contrib/strutl.h:
    - add new strprintf() function to make i18n strings easier
  * apt-pkg/dev/debsystem.cc:
    - add missing apti18n.h header
  * cmdline/apt-get.cc:
    - default to "false" for the "APT::Get::Build-Dep-Automatic"
      option (follow debian here)
  * apt-pkg/pkgcache.cc:
    - do not run "dpkg --configure pkg" if pkg is in trigger-awaited
      state (LP: #322955)
  * methods/https.cc:
    - add Acquire::https::AllowRedirect support
    - do not unlink files in partial/ (thanks to robbiew)

  [ Dereck Wonnacott ]
  * Clarify the --help for 'purge' (LP: #243948)

  [ Ian Weisser ]
  * /apt-pkg/deb/debsystem.cc:
    - add 'sudo' to the error message to "run 'dpkg --configure -a'"
      (LP: #52697)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 09 Feb 2009 14:21:05 +0100

apt (0.7.19ubuntu1) jaunty; urgency=low

  * merge from debian

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 24 Nov 2008 10:52:20 +0100

apt (0.7.14ubuntu7) jaunty; urgency=low

  * cmdline/apt-cache.cc:
    - remove the gettext from a string that consists entirely 
      of variables (LP: #56792)
  * apt-pkg/deb/dpkgpm.cc:
    - fix potential hang when in a backgroud process group

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 28 Oct 2008 21:09:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: apt
 Section: admin
 Priority: important
-Maintainer: APT Development Team <deity@lists.debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Michael Vogt <mvo@debian.org>, Otavio Salvador <otavio@debian.org>,
  Christian Perrier <bubulle@debian.org>, Daniel Burrows <dburrows@debian.org>,
  Luca Bruno <lethalman88@gmail.com>, Eugene V. Lyubimkin <jackyf.devel@gmail.com>
 Standards-Version: 3.8.0
-Build-Depends: debhelper (>= 5.0), gettext (>= 0.12), libcurl3-dev
-XS-Vcs-Bzr: http://bzr.debian.org/apt/debian-sid/
+Build-Depends: debhelper (>= 5.0), libdb-dev, gettext (>= 0.12), libcurl4-gnutls-dev | libcurl3-gnutls-dev (>= 7.15.5), debiandoc-sgml, docbook-utils (>= 0.6.12), xsltproc, docbook-xsl, xmlto, intltool
+Vcs-Bzr: http://code.launchpad.net/~ubuntu-core-dev/apt/ubuntu
 
 Package: apt
 Architecture: any
@@ -15,6 +16,7 @@
 Priority: important
 Replaces: libapt-pkg-doc (<< 0.3.7), libapt-pkg-dev (<< 0.3.7)
 Provides: ${libapt-pkg:provides}
+Recommends: ubuntu-keyring
 Suggests: aptitude | synaptic | gnome-apt | wajig, dpkg-dev, apt-doc, bzip2, lzma, python-apt
 Section: admin
 Description: Advanced front-end for dpkg
@@ -28,6 +30,7 @@
 Package: apt-doc
 Architecture: all
 Priority: optional
+Replaces: apt (<< 0.5.4.9)
 Section: doc
 Description: Documentation for APT
  This package contains the user guide and offline guide, for APT, an

## apt 0.7.20.2ubuntu6.1~cesg1netbook1

=== debian/changelog ===
apt (0.7.20.2ubuntu6.1~cesg1netbook1) netbook-jaunty; urgency=low

  * Integrate https.cc.diff patch from LP: #354972. Sets min transfer speed to
    1bs, and uses the timeout of 120s only if < 1bs is being transferred.

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Wed, 07 Oct 2009 15:56:47 -0400

apt (0.7.20.2ubuntu6.1~cesg1) netbook-jaunty; urgency=low

  [Cody A.W. Somerville]
  * Prepared upload for OEM Solutions Group.
  * Added missing include of <signal.h> to http.h

  [Michael Vogt]
  * make Max-Pipeline-Depth configurable and smaller
    to hopefully avoid a hang in http fetching
  * fix problem with server dying when the remote closes the
    connection too early
  * better error output when a message exists unexpected

 -- Cody A.W. Somerville <cody.somerville@canonical.com>  Fri, 17 Jul 2009 09:51:14 -0400

## apt 0.7.20.2ubuntu7~moblin1

=== debian/changelog ===
apt (0.7.20.2ubuntu7~moblin1) jaunty; urgency=low

  * Applied a patch to work around #497983

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Thu, 28 May 2009 19:02:19 -0400

## apt 0.7.20.2+lenny1

=== debian/changelog ===
apt (0.7.20.2+lenny1) stable-security; urgency=high

  * debian/apt.cron.daily:
    - fix possible DST timestamp releated auto-update problem
      (CVE-2009-1300, closes: #523213)
  * methods/gpgv.cc:
    - properly check for expired and revoked keys (closes: #433091)

 -- Michael Vogt <mvo@debian.org>  Sun, 19 Apr 2009 21:23:46 +0200

## apt 0.7.20.2+lenny2

=== Makefile ===
--- 
+++ 
@@ -17,8 +17,8 @@
 	$(MAKE) -C cmdline $@
 	$(MAKE) -C ftparchive $@
 	$(MAKE) -C dselect $@
-#	$(MAKE) -C doc $@
-#	$(MAKE) -C po $@
+	$(MAKE) -C doc $@
+	$(MAKE) -C po $@
 
 # Some very common aliases
 .PHONY: maintainer-clean dist-clean distclean pristine sanity

=== debian/changelog ===
apt (0.7.20.2+lenny2) stable; urgency=low

  [ David Kalnischkies ]
  * ftparchive/writer.cc:
    - remove 999 chars Files rewrite limit (Closes: #577759)

 -- Michael Vogt <mvo@debian.org>  Wed, 12 May 2010 17:32:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,20 @@
 Source: apt
 Section: admin
 Priority: important
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
+Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Michael Vogt <mvo@debian.org>, Otavio Salvador <otavio@debian.org>,
  Christian Perrier <bubulle@debian.org>, Daniel Burrows <dburrows@debian.org>,
  Luca Bruno <lethalman88@gmail.com>, Eugene V. Lyubimkin <jackyf.devel@gmail.com>
 Standards-Version: 3.8.0
-Build-Depends: debhelper (>= 5.0), libdb-dev, gettext (>= 0.12), libcurl4-gnutls-dev | libcurl3-gnutls-dev (>= 7.15.5), debiandoc-sgml, docbook-utils (>= 0.6.12), xsltproc, docbook-xsl, xmlto, intltool
-Vcs-Bzr: http://code.launchpad.net/~ubuntu-core-dev/apt/ubuntu
+Build-Depends: debhelper (>= 5.0), libdb-dev, gettext (>= 0.12), libcurl4-gnutls-dev | libcurl3-gnutls-dev (>= 7.15.5), debiandoc-sgml, docbook-utils (>= 0.6.12), xsltproc, docbook-xsl, xmlto
+Vcs-Bzr: http://bzr.debian.org/apt/debian-sid/
 
 Package: apt
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, debian-archive-keyring
 Priority: important
 Replaces: libapt-pkg-doc (<< 0.3.7), libapt-pkg-dev (<< 0.3.7)
 Provides: ${libapt-pkg:provides}
-Recommends: ubuntu-keyring
 Suggests: aptitude | synaptic | gnome-apt | wajig, dpkg-dev, apt-doc, bzip2, lzma, python-apt
 Section: admin
 Description: Advanced front-end for dpkg

=== debian/rules ===
--- 
+++ 
@@ -109,7 +109,7 @@
 	dh_testdir
 	-mkdir build
 	cp COPYING debian/copyright
-	cd build && CXXFLAGS="$(confcxxflags)" ../configure --disable-block-hidden $(confflags)
+	cd build && CXXFLAGS="$(confcxxflags)" ../configure $(confflags)
 	touch $@
 
 build/build-stamp: build/configure-stamp
@@ -143,7 +143,9 @@
 #
 # libapt-pkg-doc install
 #	
-	dh_installdocs -p$@
+	dh_installdocs -p$@ $(BLD)/docs/cache* $(BLD)/docs/design* $(BLD)/docs/dpkg-tech* \
+                            $(BLD)/docs/files* $(BLD)/docs/method* \
+			    doc/libapt-pkg2_to_3.txt doc/style.txt
 	dh_installexamples -p$@
 #	dh_installmenu -p$@
 #	dh_installinit -p$@
@@ -169,7 +171,8 @@
 # apt-doc install
 #
 	# Copy the guides
-	dh_installdocs -p$@
+	dh_installdocs -p$@ $(BLD)/docs/guide*.text $(BLD)/docs/guide*.html \
+	               $(BLD)/docs/offline*.text $(BLD)/docs/offline*.html
 	dh_installchangelogs -p$@
 	dh_compress -p$@
 	dh_fixperms -p$@
@@ -194,7 +197,7 @@
 	cp $(BLD)/bin/apt-* debian/$@/usr/bin/
 
 	# Remove the bits that are in apt-utils
-	rm -f $(addprefix debian/$@/usr/bin/apt-,$(APT_UTILS))
+	rm $(addprefix debian/$@/usr/bin/apt-,$(APT_UTILS))
 
 	# install the shared libs
 	find $(BLD)/bin/ -type f -name "libapt-pkg*.so.*" -exec cp -a "{}" debian/$@/usr/lib/ \;
@@ -202,32 +205,31 @@
 
 	cp $(BLD)/bin/methods/* debian/$@/usr/lib/apt/methods/
 	# https has its own package
-	rm -f debian/$@/usr/lib/apt/methods/https
+	rm debian/$@/usr/lib/apt/methods/https
 
 	cp $(BLD)/scripts/dselect/* debian/$@/usr/lib/dpkg/methods/apt/
-	cp -r $(BLD)/locale debian/$@/usr/share/ || true
+	cp -r $(BLD)/locale debian/$@/usr/share/
 
 	cp debian/bugscript debian/$@/usr/share/bug/apt/script
-#	cp debian/apt.logrotate debian/$@/etc/logrotate.d/apt
-
-	# cp share/debian-archive.gpg debian/$@/usr/share/$@
+	cp debian/apt.logrotate debian/$@/etc/logrotate.d/apt
+
+	cp share/debian-archive.gpg debian/$@/usr/share/$@
 	cp debian/apt.conf.autoremove debian/$@/etc/apt/apt.conf.d/01autoremove
-	cp debian/apt.conf.maemo debian/$@/etc/apt/apt.conf.d/00maemo
 #	head -n 500 ChangeLog > debian/ChangeLog
 
 	# copy lintian override
-#	cp share/lintian-overrides debian/$@/usr/share/lintian/overrides/apt
+	cp share/lintian-overrides debian/$@/usr/share/lintian/overrides/apt
 
 	# make rosetta happy and remove pot files in po/ (but leave stuff
 	# in po/domains/* untouched) and cp *.po into each domain dir
 	rm -f build/po/*.pot
 	rm -f po/*.pot
 
-#	dh_installexamples -p$@ $(BLD)/docs/examples/*
-#	dh_installman -p$@ 
-#	dh_installcron -p$@
-# 	dh_installdocs -p$@
-# 	dh_installchangelogs -p$@
+	dh_installexamples -p$@ $(BLD)/docs/examples/*
+	dh_installman -p$@ 
+	dh_installcron -p$@
+	dh_installdocs -p$@
+	dh_installchangelogs -p$@
 	dh_strip -p$@
 	dh_compress -p$@
 	dh_fixperms -p$@
@@ -247,5 +249,3 @@
 # libapt-pkg-dev install
 #
 	cp -a $(BLD)/bin/libapt-pkg*.so debian/libapt-pkg-dev/usr/lib/
-	cp -a $(BLD)/bin/libapt-inst*.so debian/libapt-pkg-dev/usr/lib/
-#	ln -s libapt-pkg.so.$(LIBAPTPKG_MAJOR) debian/libapt-pkg-dev/usr/lib/libapt-pkg.so

## apt 0.7.23.1ubuntu2

=== debian/changelog ===
apt (0.7.23.1ubuntu2) karmic; urgency=low

  [ Michael Vogt ]
  * debian/control:
    - fix Vcr-Bzr header

  [ Kees Cook ]
  * debian/apt.cron.daily:
    - fix quotes for use with "eval", thanks to Lars Ljung (LP: #449535).

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 15 Oct 2009 19:05:19 +0200

apt (0.7.23.1ubuntu1) karmic; urgency=low

  [ Matt Zimmerman ]
  * apt-pkg/deb/dpkgpm.cc:
    - Suppress apport reports on dpkg short reads (these I/O errors are not 
      generally indicative of a bug in the packaging)

  [ Loïc Minier ]
  * cmdline/apt-key:
    - Emit a warning if removed keys keyring is missing and skip associated
      checks (LP: #218971)

  [ Brian Murray ]
  * cmdline/apt-get.cc:
    - typo fix (LP: #370094)

  [ Michael Vogt ]
  * apt-pkg/deb/dpkgpm.cc:
    - when tcgetattr() returns non-zero skip all pty magic 
      (thanks to Simon Richter, closes: #509866)
  * apt-inst/contrib/arfile.cc:
    - show propper error message for Invalid archive members
  * apt-pkg/acquire-worker.cc:
    - show error details of failed methods
  * apt-pkg/contrib/fileutl.cc:
    - if a process aborts with signal, show signal number
  * methods/http.cc:
    - ignore SIGPIPE, we deal with EPIPE from write in 
      HttpMethod::ServerDie() (LP: #385144)
  * debian/apt.cron.daily:
    - if the timestamp is too far in the future, delete it 
      (LP: #135262)
  
  [ Merge ]
  * merged from debian, reverted the libdlopen-udev branch
    because its too late in the release process for this now
  * not merged the proxy behaviour change from 0.7.23 (that will
    be part of lucid)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 23 Sep 2009 18:15:10 +0200

apt (0.7.23.1) unstable; urgency=low

  [ Michael Vogt ]
  * apt-pkg/pkgcache.cc:
    - do not set internel "needs-configure" state for packages in 
      triggers-pending state. dpkg will deal with the trigger and
      it if does it before we trigger it, dpkg will error out
      (LP: #414631)
  * apt-pkg/acquire-item.cc:
    - do not segfault on invalid items (closes: #544080)

 -- Michael Vogt <mvo@debian.org>  Fri, 28 Aug 2009 21:53:20 +0200

apt (0.7.23) unstable; urgency=low

  [ David Kalnischkies ]
  * cmdline/apt-get.cc:
    - add APT::Get::HideAutoRemove=small to display only a short line
      instead of the full package list. (Closes: #537450)
    - ShowBroken() in build-dep (by Mike O'Connor, Closes: #145916)
    - check for statfs.f_type (by Robert Millan, Closes: #509313)
    - correct the order of picked package binary vs source in source
    - use SourceVersion instead of the BinaryVersion to get the source
      Patch by Matt Kraai, thanks! (Closes: #382826)
    - add pkg/archive and codename in source (Closes: #414105, #441178)
  * apt-pkg/contrib/strutl.cc:
    - enable thousand separator according to the current locale
      (by Luca Bruno, Closes: #223712)
  * doc/apt.conf.5.xml:
    - mention the apt.conf.d dir (by Vincent McIntyre, Closes: #520831)
  * apt-inst/contrib/arfile.cc:
    - use sizeof instead strlen (by Marius Vollmer, Closes: #504325)
  * doc/apt-mark.8.xml:
    - improve manpage based on patch by Carl Chenet (Closes: #510286)
  * apt-pkg/acquire-item.cc:
    - use configsettings for dynamic compression type use and order.
      Based on a patch by Jyrki Muukkonen, thanks! (LP: #71746)
  * apt-pkg/aptconfiguration.cc:
    - add default configuration for compression types and add lzma
      support. Order is now bzip2, lzma, gzip, none (Closes: #510526)
  * ftparchive/writer.cc:
    - add lzma support also here, patch for this (and inspiration for
      the one above) by Robert Millan, thanks!
  * apt-pkg/depcache.cc:
    - restore the --ignore-hold effect in the Is{Delete,Install}Ok hooks
  * doc/apt-get.8.xml:
    - update the source description to reflect what it actually does
      and how it can be used. (Closes: #413021)
  * methods/http.cc:
    - allow empty Reason-Phase in Status-Line to please squid,
      thanks Modestas Vainius for noticing! (Closes: #531157, LP: #411435)

  [ George Danchev ]
  * cmdline/apt-cache.cc:
    - fix a memory leak in the xvcg method (Closes: #511557)
  * apt-pkg/indexcopy.cc:
    - fix a memory leak then the Release file not exists (Closes: #511556)

 -- Michael Vogt <mvo@debian.org>  Thu, 27 Aug 2009 14:44:39 +0200

apt (0.7.22.2) unstable; urgency=low

  * debian/apt.cron.daily:
    - Make sure that VERBOSE is always set (Closes: #539366)
    - Script can be disabled by APT::Periodic::Enable=0 (Closes: #485476)
    - Support using debdelta to download packages (Closes: #532079)

 -- Julian Andres Klode <jak@debian.org>  Thu, 06 Aug 2009 12:17:19 +0200

apt (0.7.22.1) unstable; urgency=low

  [ Michael Vogt ]
  * cmdline/apt-get.cc:
    - honor APT::Get::Only-Source properly in FindSrc() (thanks to
      Martin Pitt for reporting the problem), also Closes: #535362.

  [ Julian Andres Klode ]
  * apt-pkg/contrib/mmap.cc:
    - Fix FTBFS on GNU/kFreeBSD by disabling DynamicMMap::Grow() on
      non-Linux architectures as it uses mremap (Closes: #539742).
  * apt-pkg/sourcelist.cc:
    - Only warn about missing sources.list if there is no sources.list.d
      and vice versa as only one of them is needed (Closes: #539731).
  * debian/control:
    - Add myself to Uploaders.
    - Increase Standards-Version to 3.8.2.0.

 -- Julian Andres Klode <jak@debian.org>  Mon, 03 Aug 2009 12:48:31 +0200

apt (0.7.22) unstable; urgency=low

  [ Christian Perrier ]
  * Documentation translations:
    - Fix a typo in apt-get(8) French translation. Closes: #525043
      Thanks to Guillaume Delacour for spotting it.
    - Updated apt.conf(5) manpgae French translation.
      Thanks to Aurélien Couderc.
  * Translations:
    - fr.po
    - sk.po. Closes: #525857
    - ru.po. Closes: #526816
    - eu.po. Closes: #528985
    - zh_CN.po. Closes: #531390
    - fr.po
    - it.po. Closes: #531758
    - ca.po. Closes: #531921
    - de.po. Closes: #536430
  * Added translations


=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: apt
 Section: admin
 Priority: important
-Maintainer: APT Development Team <deity@lists.debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Michael Vogt <mvo@debian.org>, Otavio Salvador <otavio@debian.org>,
  Christian Perrier <bubulle@debian.org>, Daniel Burrows <dburrows@debian.org>,
- Luca Bruno <lethalman88@gmail.com>, Eugene V. Lyubimkin <jackyf.devel@gmail.com>
-Standards-Version: 3.8.0
-Build-Depends: debhelper (>= 5.0), libdb-dev, gettext (>= 0.12), libcurl4-gnutls-dev | libcurl3-gnutls-dev (>= 7.15.5), debiandoc-sgml, docbook-utils (>= 0.6.12), xsltproc, docbook-xsl, xmlto
-Vcs-Bzr: http://bzr.debian.org/apt/debian-sid/
+ Luca Bruno <lethalman88@gmail.com>, Julian Andres Klode <jak@debian.org>
+Standards-Version: 3.8.2.0
+Build-Depends: debhelper (>= 5.0), libdb-dev, gettext (>= 0.12), libcurl4-gnutls-dev | libcurl3-gnutls-dev (>= 7.15.5), debiandoc-sgml, docbook-utils (>= 0.6.12), xsltproc, docbook-xsl, xmlto, intltool
+Vcs-Bzr: http://code.launchpad.net/~ubuntu-core-dev/apt/karmic
 
 Package: apt
 Architecture: any
-Depends: ${shlibs:Depends}, debian-archive-keyring
+Depends: ${shlibs:Depends}
 Priority: important
 Replaces: libapt-pkg-doc (<< 0.3.7), libapt-pkg-dev (<< 0.3.7)
 Provides: ${libapt-pkg:provides}
+Recommends: ubuntu-keyring
 Suggests: aptitude | synaptic | gnome-apt | wajig, dpkg-dev, apt-doc, bzip2, lzma, python-apt
 Section: admin
 Description: Advanced front-end for dpkg

=== debian/rules ===
--- 
+++ 
@@ -131,7 +131,7 @@
 	rm -rf build
 
 	# Add here commands to clean up after the build process.
-	dh_clean debian/copyright debian/shlibs.local debian/shlibs.local.apt debian/shlibs.local.apt-utils
+	dh_clean debian/shlibs.local debian/shlibs.local.apt debian/shlibs.local.apt-utils
 
 binary-indep: apt-doc libapt-pkg-doc
 # Build architecture-independent files here.
@@ -213,8 +213,10 @@
 	cp debian/bugscript debian/$@/usr/share/bug/apt/script
 	cp debian/apt.logrotate debian/$@/etc/logrotate.d/apt
 
-	cp share/debian-archive.gpg debian/$@/usr/share/$@
+	cp share/ubuntu-archive.gpg debian/$@/usr/share/$@
+	sed 's/^_//' share/apt-auth-failure.note > debian/$@/usr/share/$@/apt-auth-failure.note
 	cp debian/apt.conf.autoremove debian/$@/etc/apt/apt.conf.d/01autoremove
+	cp debian/apt.conf.ubuntu debian/$@/etc/apt/apt.conf.d/01ubuntu
 #	head -n 500 ChangeLog > debian/ChangeLog
 
 	# copy lintian override
@@ -224,6 +226,10 @@
 	# in po/domains/* untouched) and cp *.po into each domain dir
 	rm -f build/po/*.pot
 	rm -f po/*.pot
+
+	# move the mirror failure script in place
+	mv debian/$@/usr/bin/apt-report-mirror-failure \
+	   debian/$@/usr/lib/apt/apt-report-mirror-failure \
 
 	dh_installexamples -p$@ $(BLD)/docs/examples/*
 	dh_installman -p$@ 
@@ -236,16 +242,3 @@
 	dh_makeshlibs -p$@ -m$(LIBAPTPKG_MAJOR) -V '$(LIBAPTPKG_PROVIDE)'
 	dh_installdeb -p$@
 	dh_shlibdeps -p$@ -l`pwd`/debian/apt/usr/lib:`pwd`/debian/$@/usr/lib -- -Ldebian/shlibs.local.apt
-	dh_gencontrol -p$@ -u -Vlibapt-pkg:provides=$(LIBAPTPKG_PROVIDE)
-	dh_md5sums -p$@
-	dh_builddeb -p$@
-
-libapt-pkg-dev: build debian/shlibs.local
-	dh_testdir -p$@
-	dh_testroot -p$@
-	dh_clean -p$@ -k
-	dh_installdirs -p$@
-#
-# libapt-pkg-dev install
-#
-	cp -a $(BLD)/bin/libapt-pkg*.so debian/libapt-pkg-dev/usr/lib/
